Package: org.gradle.api.file

## [Java] Class EmptyFileVisitor

- org.gradle.api.file.EmptyFileVisitor

- All Implemented Interfaces and Traits:
    FileVisitor

      public class EmptyFileVisitor
      extends Object

  The EmptyFileVisitor can be extends by implementations that only require to implement one of the 2 visit methods (dir or file). This is just to limit the amount of code clutter when not both visit methods need to be implemented.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `visitDir(FileVisitDetails dirDetails)`
    `void` | `visitFile(FileVisitDetails fileDetails)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void visitDir(FileVisitDetails dirDetails)

    - #### public void visitFile(FileVisitDetails fileDetails)